aptitude-robot (1.5.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:34:01 +0200

aptitude-robot (1.5.5-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Version 1.5.5 (minor bug fix release)
    + Don't error out with a meaningless message if a pkglist.d entry
      misses a package name. Print a warning and skip that line instead.
      (Fixes GH #13.)
    + Add test case for GH #13. Add build-dependencies on libtest-deep-perl
      and libtest-warnings-perl.
  * Add lintian-override for upstream-metadata-file-is-missing as well as
    debian-changelog-file-is-a-symlink since the upstream and Debian git
    repository and even their git branch is the same as well are upstream
    and Debian changelogs.
  * Declare compliance with Debian Policy 4.6.2. (No changes necessary.)
  * Use profile <!nocheck> for build-dependencies only needed for tests.
  * Update debian/watch wrt. to changed Github paths, also simplify it.
  * Fix debian/logrotate and add missing ".log" to filename. (GH #12)
  * Add lintian overrides for uses-dpkg-database-directly. This is just
    locking via /var/lib/dpkg/lock, not accessing the database itself.
  * Add lintian override for bash-term-in-posix-shell wrt. $RANDOM: This
    is guarded and fixed via /dev/urandom if $RANDOM is empty.
  * Add lintian override for bash-term-in-posix-shell wrt. ulimit: This is
    supported in dash as well as in mksh.
  * Prefer sysvinit-utils (>= 3.05-4~) over lsb-base. Thanks Lintian!
  * Bracketize lintian overrides.

  [ Debian Janitor ]
  * Drop versioned constraint on lsb-base in Depends referring to a
    version from 2005. (GH #14)

  [ Edward Betts ]
  * Correct spelling mistakes. (GH #11)

 -- Axel Beckert <abe@debian.org>  Wed, 01 Mar 2023 15:42:21 +0100

aptitude-robot (1.5.4-1) unstable; urgency=medium

  * Version 1.5.4 (minor bug + documentation fixes)
    + Don't report errors on GRUB's "Installation finished. No error
      reported." message, similar messages or messages where "error" is
      part of a file path, like …/Debconf/Element/Noninteractive/Error.pm.
      (Closes: #913538)
    + Correct spelling mistake in README. (Github PR #7 by Edward Betts)
  * Drop lintian override for no more emitted
    init.d-script-missing-dependency-on-remote_fs.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Bump debhelper-compat to 13.
  * Drop alternative suggested package hobbit-client. Gone for 9 years.

 -- Axel Beckert <abe@debian.org>  Sat, 05 Dec 2020 08:22:04 +0100

aptitude-robot (1.5.3-1) unstable; urgency=medium

  * Version 1.5.3 (minor bug + documentation fixes; drops upstart support)
    + Document exit status of aptitude-robot-session. Thanks Alex Myczko!
    + Revamp .gitignore: Add sections headers and Debian build artefacts.
    + reporting-helpers: Don't report the mentioning of packages like
      libgpg-error-dev as an error.
    + Test suite adapted to be able to also test an installed script.
  * Drop more things no more needed explicitly since dh compat level 10:
    + build-dep. on transitional package dh-systemd (Closes: #958580)
    + "--with systemd" in debian/rules.
  * Declare compliance with Debian Policy 4.5.0.
    + Switch Priority from extra to optional.
    + Change debian/copyright DEP5 format URL to HTTPS.
  * Set "Rules-Requires-Root: no".
  * debian/copyright: Change gnu.org URL to HTTPS.
  * Merge remaining dh overrides by passing "--no-start" to "dh $@".
  * Drop Suggests on no more existing transitional package heirloom-mailx.
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
    + Drop support for upstart by removing debian/upstart.
    + Remove according conffile with rm_conffile in debian/maintscript.
    + Drop according lintian override and comments.
  * Update lintian overrides wrt. to lintian tag renamings.
  * Make package autopkgtestable (DEP8).
  * Declare so far used git tag format in debian/gbp.conf.
  * Update years in debian/copyright.
  * Add ${perl:Depends} to Depends.

 -- Axel Beckert <abe@debian.org>  Tue, 28 Apr 2020 22:11:40 +0200

aptitude-robot (1.5.2-1) unstable; urgency=medium

  * Version 1.5.2 (only bug fixes and documentation updates)
    + Use mktemp only with --tmpdir so that temporary files are not
      created in the current directory (which might be read-only). (GH #6)
    + Change contact address for bug reports from Elmar's e-mail address
      to https://github.com/elmar/aptitude-robot/issues
    + Add a CONTRIBUTING.mdown file as recommended by flint.
  * Add lintian override for init.d-script-missing-dependency-on-local_fs,
    too.
  * Actually remove explicit dependency on dh-autoreconf. Thanks Lintian!
  * Remove explicit dependency on autotools-dev, too.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)
  * Add lintian override for
    package-installs-deprecated-upstart-configuration including a note
    that the override and the upstart file may be removed after Ubuntu
    14.04 LTS is no more supported.

 -- Axel Beckert <abe@debian.org>  Sun, 23 Jul 2017 22:04:23 +0200

aptitude-robot (1.5.1-1) unstable; urgency=medium

  * Version 1.5.1 (only bug fixes)
    + Reorder commands in triggers.post/90-cleanup.example: "apt-get
      clean" should come after "aptitude purge", because aptitude will
      rebuild apt's binary cache for that and "apt-get clean" removes the
      binary cache.
  * Downgrade perl-doc from Depends to Recommends as it's only needed for
    the --help and --usage options and will display the source code
    (including the POD) instead if perl-doc is not installed.
  * Add a (versioned) dependency on lsb-base for using the
    /lib/lsb/init-functions in the init script.
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Remove explicit dependency on dh-autoreconf.
    + Remove explicit "--with autoreconf" from debian/rules.

 -- Axel Beckert <abe@debian.org>  Fri, 20 Jan 2017 01:04:21 +0100

aptitude-robot (1.5-1) unstable; urgency=low

  * Version 1.5 (new backwards-compatible features)
    + Add support for filtering log files in reports.
    + Add coloured icons for warning/error/ignored lines in xymon-report.
    + Factor out common code in "xymon-report" and "mail-log-on-error"
      into "reporting-helpers. Fixes GH#2.
    + Rename COPYING to LICENSE as it's more common outside the GNU world.
    + Mention Semantic Versioning in README.

  * Switch Vcs-Git header from git:// to https://.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Add Documentation key to debian/service. (Suggested by Lintian.)
  * Update Description key in debian/service to say "package management"
    instead of just "package updater".
  * Fix inconsistency in debian/copyright: License is GPL-3+.
  * Update copyright years in debian/copyright and add myself.

 -- Axel Beckert <abe@debian.org>  Thu, 12 May 2016 21:32:50 +0200

aptitude-robot (1.4-1) unstable; urgency=low

  * Version 1.4 (new backwards-compatible features, plus bugfixes)

  [ Elmar S. Heeb ]
  * use explicit path for perl

  [ Axel Beckert ]
  * Fix project URL in configure.ac
  * aptitude-robot-session:
    + Fix hanging aptitude-robot-session processes with zombie dpkg
      children by reintroducing "< /dev/null" and dropping "yes '' |"
      again. The main reason why the latter was necessary was only present
      in apt 1.0.9.4. (See #773061 and #773215)
    + Abort if APT was not able to update from all APT repositories.
  * aptitude-robot-session.pod:
    + Add warning to aptitude-robot-session.pod about implications of
      using file size limits.
    + Remove executable bit, unneeded.
  * xymon-report:
    + yellow alert if aptitude couldn't fulfil all requests
    + red alert if aptitude's exit code is not zero
  * xymon-report and mail-log-on-error:
    + Catch cases where mktemp fails. Could cause endless running
      mail-log-on-error/xymon-report process before.
    + General quoting fixes for potentially empty variables.
  * Rename debian/aptitude-robot.* to debian/* for consistency.
  * debian/{cron.daily,default}: New configuration variable to suppress
    cron mails if exit code is not equal zero.
  * Link changelog.gz to changelog.Debian.gz as the latter is also the
    upstream changelog. (Fixes lintian warning no-upstream-changelog.)
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned build-dependency on debhelper accordingly.
  * Suggest needrestart-session, mailx and xymon-client and mention them
    in the README, too.
  * Declare compliance with Policy 3.9.6 (no further changes needed)

  [ Dimitri John Ledkov ]
  * Make upstart job to be long running, for integration with startpar
    bridge.

 -- Axel Beckert <abe@debian.org>  Fri, 02 Oct 2015 16:29:42 +0200

aptitude-robot (1.3.4-1) unstable; urgency=low

  [ Axel Beckert ]
  * Use resolver hints to make unexpected removals even more unlikely
    during automatic conflict resolution.
  * Suggest needrestart and apt-listbugs and mention them in the README

  [ Elmar S. Heeb ]
  * use $(...) notation instead of backticks
  * new version 1.3.4

 -- Elmar S. Heeb <elmar@heebs.ch>  Wed, 07 May 2014 14:48:06 +0200

aptitude-robot (1.3.3-1) unstable; urgency=low

  [ Axel Beckert ]
  * Add some autotools-generated files to diff-ignore to support building
    from git and from tar balls as offered for download by GitHub.

  [ Elmar S. Heeb ]
  * DEBIAN_PRIORITY for automatic runs should be critical, not low
  * new version 1.3.3

 -- Elmar S. Heeb <elmar@heebs.ch>  Wed, 04 Dec 2013 16:14:56 +0100

aptitude-robot (1.3.2-1) unstable; urgency=low

  * added upstart support
  * bump version to 1.3.2

 -- Elmar S. Heeb <elmar@heebs.ch>  Mon, 18 Nov 2013 13:19:04 +0100

aptitude-robot (1.3.1-1) unstable; urgency=low

  * use coderef for default value to support older versions of Moo (wheezy)
  * allow comments consisting of only a hash mark
  * new standards version 3.9.5
  * remove obsolete syslog.target for systemd support
  * bump version to 1.3.1

 -- Elmar S. Heeb <elmar@heebs.ch>  Mon, 04 Nov 2013 14:41:33 +0100

aptitude-robot (1.3-1) unstable; urgency=low

  [ Elmar S. Heeb ]
  * new standards version 3.9.4
  * use Moo instead of Mouse perl library
  * added systemd support to Debian packaging

  [ Axel Beckert ]
  * Use Run::Parts instead of calling run-parts directly
    + Add (build-) dependencies on librun-parts-perl
    + Remove (build-) dependencies on libfile-slurp-perl
    + Remove t/020_runparts.t, no more needed.

 -- Elmar S. Heeb <elmar@heebs.ch>  Mon, 26 Aug 2013 15:05:12 +0200

aptitude-robot (1.2.16-1) unstable; urgency=low

  [ Elmar S. Heeb ]
  * remove unwanted quoting in option.d example file
  * use Mouse explicitly and not Any::Moose (Closes: #720670)

  [ Axel Beckert ]
  * updated debian/watch file based on Bart Marten's suggestion
  * Fix typo in previous changelog entry

  * bump version to 1.2.16

 -- Elmar S. Heeb <elmar@heebs.ch>  Mon, 27 May 2013 08:52:58 +0200

aptitude-robot (1.2.15-1) unstable; urgency=low

  * provide explicit newlines for default answers to dpkg
    in aptitude-robot-session instead of taking input from /dev/null

  * bump version to 1.2.15

 -- Elmar S. Heeb <elmar@heebs.ch>  Fri, 24 May 2013 16:03:14 +0200

aptitude-robot (1.2.14-1) unstable; urgency=low

  [ Axel Beckert ]
  * Switch from the single file /etc/aptitude-robot/options to a run-parts
    based directory at /etc/aptitude-robot/options.d/.
  * Ship /etc/aptitude-robot/options.d/10-remove-level-maximum containing
    "-o 'Aptitude::ProblemResolver::Remove-Level=maximum'" as a safe-guard
    against accidentally removing too many packages when resolving
    conflicts automatically.

  [ Elmar S. Heeb ]
  * abort aptitude-robot-session when another package manager is running
  * pass command line arguments from aptitude-robot-session to
    aptitude-robot
  * do not start init script on install/upgrade

  * bump version to 1.2.14

 -- Elmar S. Heeb <elmar@heebs.ch>  Fri, 24 May 2013 10:30:43 +0200

aptitude-robot (1.2.13-2) unstable; urgency=low

  [ Axel Beckert ]
  * Update watch file to exclude package release tags. Use github.com
    directly instead of githubredir.debian.net.

 -- Elmar S. Heeb <elmar@heebs.ch>  Tue, 19 Feb 2013 16:39:37 +0100

aptitude-robot (1.2.13-1) unstable; urgency=low

  * no -y option on direct invocation of aptitude-robot
    use aptitude-robot-session for all-automatic runs
  * do not support abbreviation of command line options

 -- Elmar S. Heeb <elmar@heebs.ch>  Tue, 19 Feb 2013 12:57:04 +0100

aptitude-robot (1.2.12-1) unstable; urgency=low

  [ Axel Beckert ]
  * xymon-report: Support for Xymon >= 4.3.0 and multiple Xymon servers.

  [ Elmar S. Heeb ]
  * use stdin for xymon/hobbit message (allows larger messages)

 -- Elmar S. Heeb <elmar@heebs.ch>  Mon, 18 Feb 2013 17:14:37 +0100

aptitude-robot (1.2.11-1) unstable; urgency=low

  Upload to Debian (Closes: #690157)

  [ Elmar S. Heeb ]
  * do not report packages on hold in mail

  [ Axel Beckert ]
  * Update lintian override for init.d-script-missing-dependency-on-… to
    please newer lintian versions.
  * Add lintian override for init.d-script-does-not-implement-optional-option
  * Use dh-autoreconf to (re)create Makefile to be able to build straight
    from git repo, too.

 -- Elmar S. Heeb <elmar@heebs.ch>  Wed, 13 Feb 2013 15:05:54 +0100

aptitude-robot (1.2.10-2) unstable; urgency=low

  * clean up of Depends and Build-Depends

 -- Elmar S. Heeb <elmar@heebs.ch>  Tue, 01 Jan 2013 00:22:43 +0100

aptitude-robot (1.2.10-1) unstable; urgency=low

  * do not report packages on hold to xymon/hobbit
  * Workaround: wait for network to come up in init file
    The 'Required-Start: $network' setting seems not enough

 -- Elmar S. Heeb <elmar@heebs.ch>  Mon, 31 Dec 2012 17:56:56 +0100

aptitude-robot (1.2.9-1) unstable; urgency=low

  * more stringent test for error reporting

 -- Elmar S. Heeb <elmar@heebs.ch>  Tue, 20 Nov 2012 10:23:31 +0100

aptitude-robot (1.2.8-1) unstable; urgency=low

  * fixed update_success stamp

 -- Elmar S. Heeb <elmar@heebs.ch>  Sat, 17 Nov 2012 15:51:55 +0100

aptitude-robot (1.2.7-1) unstable; urgency=low

  * added SEE ALSO section to man pages
  * signal success on update with /var/lib/apt/update-success

 -- Elmar S. Heeb <elmar@heebs.ch>  Fri, 16 Nov 2012 17:33:45 +0100

aptitude-robot (1.2.6-1) unstable; urgency=low

  * pass arbitrary options through to aptitude
  * add a post command hook to aptitude-robot-session

 -- Elmar S. Heeb <elmar@heebs.ch>  Fri, 16 Nov 2012 10:55:21 +0100

aptitude-robot (1.2.5-1) unstable; urgency=low

  * use -q (--quiet) with non-interactive aptitude
  * added xymon-report script as example

 -- Elmar S. Heeb <elmar@heebs.ch>  Thu, 15 Nov 2012 10:32:09 +0100

aptitude-robot (1.2.4-1) unstable; urgency=low

  * honour hold state for upgradable packages
  * consistently quote all output for --show-cmdline
  * use full-upgrade instead of install (cf. #693144)
  * added a --quiet/-q option

 -- Elmar S. Heeb <elmar@heebs.ch>  Thu, 15 Nov 2012 10:17:12 +0100

aptitude-robot (1.2.3-1) unstable; urgency=low

  * DEBCONF_FRONTEND -> DEBIAN_FRONTEND
  * increased default file size limit

 -- Elmar S. Heeb <elmar@heebs.ch>  Thu, 01 Nov 2012 20:08:02 +0100

aptitude-robot (1.2.2-1) unstable; urgency=low

  * make non-interactive sessions more robust
  * mention co-author Axel in help text/man page

 -- Elmar S. Heeb <elmar@heebs.ch>  Tue, 30 Oct 2012 15:39:55 +0100

aptitude-robot (1.2.1-1) unstable; urgency=low

  * added -s|--simulate option in man page
  * added Axel Beckert as co-maintainer

 -- Elmar S. Heeb <elmar@heebs.ch>  Fri, 26 Oct 2012 10:38:00 +0200

aptitude-robot (1.2-1) unstable; urgency=low

  * added option --simulate
  * use generic script to process session log
    and provide example script to mail errors

 -- Elmar S. Heeb <elmar@heebs.ch>  Thu, 25 Oct 2012 17:01:22 +0200

aptitude-robot (1.1-1) unstable; urgency=low

  * new version
  * replace `full-upgrade` with `install ~U`
    makes the combination of upgrades and new install actually work
  * refactor tests so that they need not be generated by configure
  * mention cron-apt and apticron in README
  * added section 'Thanks' in README
  * use default rc.d levels for stop (they do nothing)
  * lintian-overrides: no required-stop necessary in init.d

 -- Elmar S. Heeb <elmar@heebs.ch>  Wed, 24 Oct 2012 16:05:26 +0200

aptitude-robot (1.0.1-1) unstable; urgency=low

  * refactor random-delay into its own shell script
  * treat non-numeric MAX_RANDOM_DELAY_SECONDS as 0
  * narrower definition in watch file

 -- Elmar S. Heeb <elmar@heebs.ch>  Fri, 12 Oct 2012 12:12:41 +0200

aptitude-robot (1.0-1) unstable; urgency=low

  * Initial release

 -- Elmar S. Heeb <elmar@heebs.ch>  Fri, 05 Oct 2012 09:22:10 -0400
